spa_loop_methods Struct Reference
SPA » Support » Loop

Register sources and work items to an event loop. More...

## Data Fields

uint32_t | version
int(* | add_source )(void *object, struct spa_source *source)
| add a source to the loop More...
int(* | update_source )(void *object, struct spa_source *source)
| update the source io mask More...
int(* | remove_source )(void *object, struct spa_source *source)
| remove a source from the loop More...
int(* | invoke )(void *object, spa_invoke_func_t func, uint32_t seq, const void *data, size_t size, bool block, void *user_data)
| invoke a function in the context of this loop More...

## Detailed Description

Register sources and work items to an event loop.

## Field Documentation

## version

uint32_t spa_loop_methods::version

## add_source

int(* spa_loop_methods::add_source) (void *object, struct spa_source *source)

add a source to the loop

## update_source

int(* spa_loop_methods::update_source) (void *object, struct spa_source *source)

update the source io mask

## remove_source

int(* spa_loop_methods::remove_source) (void *object, struct spa_source *source)

remove a source from the loop

## invoke

int(* spa_loop_methods::invoke) (void *object, spa_invoke_func_t func, uint32_t seq, const void *data, size_t size, bool block, void *user_data)

invoke a function in the context of this loop

The documentation for this struct was generated from the following file:

- spa/support/loop.h